/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
const pool = require("./connect");

interface definitionInterface{
    (message:string):void;
}
export default function Insert(sql: string, argument: string[], callback: definitionInterface) {
    pool.query(sql, argument, (err, results) => {
        callback(results.insertId);
        pool.releaseConnection(pool);
    });
}